Request to sync zabbix 1.6.1 from Debian

Bug #294604 reported by Bart Verwilst on 2008-11-06
24
This bug affects 1 person
Affects Status Importance Assigned to Milestone
zabbix (Ubuntu)
Wishlist
Unassigned

Bug Description

Currently, Ubuntu has an old version of Zabbix ( 1.4.x ). Debian already has a 1.6 package, but it appears to be a simple copy from 1.4 to 1.6. I used that package to create my own with various improvements:

- Fixes in the init scripts to create /var/run/...
- Rework rules to create subpackages for zabbix-proxy-*, which are not present in 1.4.x ( and therefore debian's 1.6 deb )
- Update to latest stable 1.6.1

Would it be possible to "promote" my PPA package to the universe repository?

Debdiff attached!

PPA URL: https://launchpad.net/~verwilst/+archive

James Westby (james-w) wrote :

Hi,

Have you proposed your changes to the Debian maintainer? It would
be great if both distributions could benefit from your work.

Thanks,

James

Bart Verwilst (verwilst) wrote :

I did actually :) The package is waiting in their queue for over a week now :( Because 2 new subpackages are added, they have to be approved by their master-ftp guys... They seem to take their sweet little time ;)

Consider this a request to sync to soon-to-come debian 1.6.1-1 package from debian? :)

James Westby (james-w) wrote :

Hi,

If Debian has a package we can sync then let's wait some time to try and do
that.

When the package hits Debian please drop a note in this bug. If some time
passes without the Debian package escaping NEW then do the same and
we can upload and then sync later.

Thanks,

James

James Westby (james-w) wrote :

Hi,

There is another sponsor request for zabbix open in bug 131245, will your
updates fix that issue too?

Thanks,

James

Bart Verwilst (verwilst) wrote :

James, as mentioned in bug 131245, I will let you know when the new Debian package will be available for syncing! ( Should hopefully be somewhere next week! )

Luca Falavigna (dktrkranz) wrote :

I'm unsubscribing ubuntu-universe-sponsors waiting for action, please resubscribe it when ready for sponsoring. Thanks in advance!

Changed in zabbix:
importance: Undecided → Wishlist
Bart Verwilst (verwilst) wrote :

The new zabbix package has arrived in Debian unstable as 1.6.1-3. Ready to be synced :) This one should also fix bug 131245.

Steve Kowalik (stevenk) wrote :

[Updating] zabbix (1:1.4.6-1ubuntu1 [Ubuntu] < 1:1.6.1-3 [Debian])
 * Trying to add zabbix...
  - <zabbix_1.6.1.orig.tar.gz: downloading from http://ftp.debian.org/debian/>
  - <zabbix_1.6.1-3.dsc: downloading from http://ftp.debian.org/debian/>
  - <zabbix_1.6.1-3.diff.gz: downloading from http://ftp.debian.org/debian/>
I: zabbix [universe] -> zabbix-agent_1:1.4.6-1ubuntu1 [universe].
I: zabbix [universe] -> zabbix-server-mysql_1:1.4.6-1ubuntu1 [universe].
I: zabbix [universe] -> zabbix-server-pgsql_1:1.4.6-1ubuntu1 [universe].
I: zabbix [universe] -> zabbix-frontend-php_1:1.4.6-1ubuntu1 [universe].

Changed in zabbix:
status: New → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers